//go:build windows

package utils

import (
	"git.jmbit.de/jmb/patchman/common"
	"runtime"
)

// getWinOSInfo provides information about the Windows OS used
func GetOSInfo() common.OSInfo {
	if OSInfoCache.OS != "" {
		return OSInfoCache
	}
	var distribution string
	var version string
	var distributionLike []string
	var kernelRelease string

	return common.OSInfo{
		OS:               runtime.GOOS,
		Distribution:     distribution,
		DistributionLike: distributionLike,
		Version:          version,
		KernelRelease:    kernelRelease,
		Architecture:     runtime.GOARCH,
	}
}
