package common

import (
	"github.com/google/uuid"
	"time"
)

// OSInfo gives some basic information about the system.
type OSInfo struct {
	OS               string
	Distribution     string
	DistributionLike []string
	Version          string
	KernelRelease    string
	Architecture     string
	PackageManager   string
}

// ListPackage is a single package and the information about it
type ListPackage struct {
	Name           string
	Source         string
	Version        string
	Upgradeable    bool
	UpgradeableTo  string
	Architecture   string
	PackageManager string
}

// PackageList holds a list of ListPackages and some additional metadata
type PackageList struct {
	HostID uuid.UUID
	Time   *time.Time
	List   []ListPackage
}
